/**
 * Main theme CSS file
 *
 * This CSS file is required for the theme to work, no edits should 
 * be made to this file, all CSS edits should be in a child theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#common-wordpress-template-files
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/theme-security/
 * @link https://make.wordpress.org/core/handbook/best-practices/coding-standards/
 *
 * @package Base
 * @subpackage
 * @since 1.0
 * @version 1.0
 */

/** 
 * @Contents
 *
 * Global styles
 * Wordpress styles
 * Nav styles
 * Footer styles
 * Sidebar styles
 * Single styles
 * Comment styles
 * Pagination styles
 */

/** 
 * Global styles
 */

/* Clear fixed header */

#content {
	margin-top: 3.5rem;
    margin-bottom: 3.75rem;
}
#main {
	margin-top: 1.875rem;
}
#sidebar {
	margin-top: 2.375rem;
}
#post-title {
	margin-bottom: 1.875rem;
}
.meta {
	font-size: 0.875rem;
}

/** 
 * Wordpress styles
 */

/* Required for passing theme checks */

.wp-caption{}
.wp-caption-text{}
.sticky{}
.screen-reader-text{}
.gallery-caption{}

/* Content images */

.alignleft {
    float: left;
}
.alignright {
    float: right;
}
.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
img.alignleft {
    margin: 0 0.9375rem 0.9375rem 0;
}
img.alignright {
    margin: 0 0 0.9375rem 0.9375rem;
}

/** 
 * Nav styles
 */

/* Nav container full width when burger menu is visible */

@media (max-width: 959.98px){
	#header .navbar-expand-ms > .container {
		max-width: 100%;
	}
}

/* Fix for navbar fixed top no scroll on small screens */
/* Also added height calc so the burger menu expands to the whole screen */
/* The margin on height needs to be set to the same height as the navbar to clear the fixed header */

@media (max-width: 959.98px){
	#header .navbar-collapse.show { 
		overflow-y: auto;
		height: calc(100vh - 3.5rem);
	}
}

/* Disable the slide animation on the burger menu */

@media (max-width: 959.98px){
	#header .collapsing {
		-webkit-transition: none;
		-o-transition: none;
		transition: none;
		display: none;
	}
}

/* Animate the transition on the nav burger menu */

#header .navbar-toggler {
    position: relative;
	outline: 0;
	border: none;
	padding: 0px;
}
#header .navbar-toggler:focus,
#header .navbar-toggler:active {
	outline: 0;
	border: none;
}
#header .navbar-toggler span {
   display: block;
   background-color: #fff;
   height: 3px;
   width: 24px;
   margin-top: 4px;
   margin-bottom: 4px;
   -webkit-transform: rotate(0deg);
   -ms-transform: rotate(0deg);
   transform: rotate(0deg);
   position: relative;
   left: 0;
   opacity: 1;
}
#header .navbar-toggler span:nth-child(1),
#header .navbar-toggler span:nth-child(3) {
   -webkit-transition: transform .35s ease-in-out;
   -o-transition: transform .35s ease-in-out;
   -webkit-transition: -webkit-transform .35s ease-in-out;
   transition: -webkit-transform .35s ease-in-out;
   transition: transform .35s ease-in-out;
   transition: transform .35s ease-in-out, -webkit-transform .35s ease-in-out;
}
#header .navbar-toggler:not(.collapsed) span:nth-child(1) {
    position: absolute;
    left: 0px;
    top: 6px;
    -webkit-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    transform: rotate(135deg);
    opacity: 1;
}
#header .navbar-toggler:not(.collapsed) span:nth-child(2) {
    height: 12px;
    visibility: hidden;
    background-color: transparent;
}
#header .navbar-toggler:not(.collapsed) span:nth-child(3) {
    position: absolute;
    left: 0px;
    top: 6px;
    -webkit-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    transform: rotate(-135deg);
    opacity: 1;
}

/** 
 * Sidebar styles
 */

#sidebar .widget:not(:last-child) {
	margin-bottom: 1.875rem;
}

/** 
 * Footer styles
 */

/* Sticky footer */
/* https://www.codeply.com/go/wECEBeWpLO/bootstrap-4-sticky-footer-flexbox */
html, body {
	min-height: 100vh; 
	-webkit-box-orient: vertical!important;
	-webkit-box-direction: normal!important;
	-ms-flex-direction: column!important;
	flex-direction: column!important;
    display: -webkit-box!important;
    display: -ms-flexbox!important;
    display: flex!important;
}
body {
	min-height: 100vh; 
}
#wrap {
   -webkit-box-flex: 1 0 auto;
   -ms-flex: 1 0 auto;
   flex: 1 0 auto;
}

/** 
 * Single styles
 */

.single #title {
	margin-bottom: 0.5rem;
}
 /* Related posts */
.single #related-posts {
    margin-top: 1.875rem;
	font-size: 0.875rem;
}
.single #related-posts .related-post {
    padding: 0.9375rem 0.9375rem 0 0.9375rem;
	border: 1px solid #ced4da;
	height: 100%;
	border-radius: .25rem;
}
.single #related-posts .related-post img {
    margin-bottom: 0.9375rem;
}
.single #post-tags {
	margin-top: 1.875rem;
    margin-bottom: -0.9375rem;
}
.single #post-tags .post-tag {
	max-width: 290px;
}
.single #post-tags .btn {
    font-size: 0.875rem;
    max-width: 150px;
	-o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden;
}
.single .post-pagination {
	margin-top: 1.875rem;
}
.single .post-pagination a {
    color:#000;
    text-decoration: none;
}
.single .post-pagination ul {
	padding: 0;
    margin: 0;
}
.single .post-pagination ul li {
    margin: 0;
}

/* Social media icons */

.single .social-share .list-inline-item a {
    width: 100%;
}
.single .social-share ul li a i {
    background: #000;
    color: #fff;
    width: 58px;
    height: 40px;
    font-size: 16px;
    text-align: center;
    padding-top: 12px;
}
@media (min-width: 1080px){
	.single .social-share ul li a i {
		width: 100px;
	}	
}
.single .social-share ul li:last-child a i {
    margin-right: 0;
}
.single .social-share .fa-facebook-f {
    background: #3b5998;
} 
.single .social-share .fa-twitter {
    background: #00aced;
}
.single .social-share .fa-google-plus-g {
    background: #dd4b39;
}
.single .social-share .fa-linkedin-in {
    background: #007bb6;
}

/** 
 * Comment styles
 */

#comments {
	margin-top: 2.5rem;
}
#comments .comment-content a {
	word-wrap: break-word;
}
#comments .comment-list {
	list-style:none;
	padding-left: 0;
}
#comments .comment-author .avatar {
	margin-right: 0.9375rem;
}
#comments .comment-meta {
	margin-bottom: 0.9375rem;
    font-weight: 500;
}
#comments .comment-meta cite {
	font-style: normal;
}
#comments .comment-details .reply {
	margin-top: 0.625rem;
}
#comments .comment-date a {
	margin-right: 0.625rem;
}
#comments .comment {
    border: 1px solid #ced4da;
    padding: 0.9375rem;
    margin-bottom: 0.9375rem;
    font-size: 0.875rem;
    border-radius: .25rem;
}
#comments ol {
    list-style: none;
}
@media (max-width: 639.98px){
	#comments ol{
	    padding: 0;
	}	
}
#comments .comment-reply-link {
	font-weight: 500;
}
#comments .comment-awaiting-moderation {
    padding: 0.9375rem;
    border: 1px solid #ced4da;
    font-weight: 500;
}
#comments #commentform #comment {
	width: 100% !important;
}
#comments #commentform #submit:hover {
	border: 1px solid #ced4da;
}
#comments #commentform .form-submit {
    margin-top: 1.563rem;
    margin-bottom: 0.625rem;
}
#comments .comment-respond {
    margin-top: 1.875rem;
    margin-bottom: 1.875rem;
    border: 1px solid #ced4da;
    padding: 0.9375rem 1.875rem;
	border-radius: .25rem;
}
#comments .comments-title {
    margin-bottom: 0.9375rem;
    margin-top: 0;
}
#comments .comments-title a {
    margin-top: 0.1875rem;
    float: right;
}

/** 
 * Pagination styles
 * 
 * Based on default Bootstrap styles
 */

#pagination {
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: .25rem;
    margin-top: 1.875rem;
}
#pagination .page-numbers {
    position: relative;
    display: block;
    padding: .5rem .75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #007bff;
    background-color: #fff;
    border: 1px solid #dee2e6;
}
@media (max-width: 719.98px) {
	#pagination .page-numbers:not(.next):not(.prev):not(.pages) {
		display: none;
	}
}
#pagination .page-numbers:hover {
    color: #0056b3;
    text-decoration: none;
    background-color: #e9ecef;
    border-color: #dee2e6;
}
#pagination .page-numbers:last-child {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
}
#pagination .page-numbers:first-child {
    margin-left: 0;
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
}
#pagination .page-numbers.disabled, .pagination .dots {
    color: #6c757d;
    pointer-events: none;
    cursor: auto;
    background-color: #fff;
    border-color: #dee2e6;
}
#pagination .page-numbers.current {
    z-index: 1;
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}